import React from 'react'

export default ({width, height}) => (
  <svg className="shape shape--weibo" width={width} height={height} viewBox="0 0 511.794 511.795">
    <path d="M413.691,261.553c-8.747-5.522-18.555-9.995-29.403-13.42c-2.286-0.765-3.907-1.333-4.859-1.715
			c-0.951-0.381-2.098-1.093-3.425-2.141c-1.335-1.049-1.767-2.24-1.284-3.571c0.479-1.332,0.903-3.234,1.284-5.708
			c8.559-21.888,8.559-38.828,0-50.819c-8.762-11.61-23.315-17.417-43.688-17.417c-20.365,0-43.776,5.617-70.229,16.845
			l-1.718,0.572c-1.135,0.381-2.422,0.71-3.847,0.998c-1.431,0.288-2.812,0.333-4.143,0.144c-1.328-0.188-2.281-0.854-2.853-1.997
			c-0.572-1.143-0.474-3.046,0.287-5.711c8.561-27.6,6.661-47.488-5.713-59.672c-14.083-14.084-37.541-14.75-70.377-1.997
			c-32.827,12.756-65.326,35.214-97.496,67.384c-24.362,24.362-43.159,48.916-56.387,73.66C6.611,281.736,0,305.045,0,326.939
			c0,20.554,6.186,39.54,18.555,56.959c12.375,17.419,28.693,31.788,48.966,43.112c20.268,11.32,43.158,20.177,68.662,26.553
			c25.505,6.372,51.678,9.562,78.515,9.562c26.838,0,52.58-2.947,77.226-8.847c24.646-5.903,46.158-13.798,64.521-23.698
			c18.371-9.894,34.407-21.077,48.109-33.548c13.709-12.467,24.078-25.498,31.124-39.115c7.043-13.606,10.568-26.885,10.568-39.823
			c0-12.18-3.23-23.274-9.709-33.264C430.07,274.827,422.452,267.072,413.691,261.553z M320.482,392.474
			c-27.884,22.553-63.05,36.019-105.493,40.396c-27.79,2.666-53.915,0.667-78.371-5.995c-24.457-6.667-44.302-17.036-59.527-31.121
			c-15.227-14.09-23.697-30.27-25.41-48.544c-2.667-27.788,9.945-52.958,37.829-75.513c27.884-22.56,63.05-36.025,105.494-40.402
			c27.79-2.668,53.913-0.666,78.365,5.996c24.455,6.661,44.304,17.034,59.532,31.118c15.229,14.089,23.695,30.269,25.406,48.54
			C360.969,344.742,348.366,369.912,320.482,392.474z"/>
		<path d="M223.269,274.126c-20.174-5.141-40.208-3.327-60.098,5.427c-19.892,8.754-34.307,21.978-43.254,39.684
			c-8.946,18.076-9.567,35.923-1.857,53.529c7.71,17.607,21.745,29.644,42.112,36.121c21.126,6.848,42.447,5.708,63.953-3.433
			c21.508-9.137,36.542-23.414,45.115-42.824c8.559-19.038,8.322-37.165-0.719-54.393
			C259.475,291.018,244.395,279.646,223.269,274.126z M192.719,366.63c-4.188,6.468-10.135,10.992-17.848,13.559
			c-7.708,2.573-14.803,2.334-21.271-0.712c-6.47-3.046-10.562-7.851-12.275-14.421c-1.714-6.561-0.477-13.076,3.71-19.551
			c3.995-6.286,9.707-10.66,17.129-13.131c7.426-2.475,14.372-2.382,20.844,0.284c6.662,2.851,10.948,7.614,12.851,14.273
			C197.761,353.592,196.716,360.155,192.719,366.63z M219.554,332.076c-1.331,2.478-3.427,4.24-6.28,5.287
			c-2.855,1.048-5.617,1.092-8.28,0.144c-5.708-2.669-6.945-6.946-3.711-12.847c1.332-2.478,3.378-4.236,6.136-5.287
			c2.758-1.047,5.47-1.092,8.136-0.14c2.474,0.947,4.139,2.713,4.998,5.283C221.409,327.08,221.078,329.609,219.554,332.076z"/>
		<path d="M407.983,206.884c2.102,4.093,5.332,6.899,9.712,8.423c4.381,1.332,8.61,0.953,12.703-1.143
			c4.093-2.091,6.902-5.327,8.426-9.707c3.613-10.656,4.236-21.842,1.848-33.545c-2.375-11.704-7.562-22.032-15.55-30.978
			c-7.994-8.947-17.614-15.181-28.839-18.704c-11.231-3.521-22.556-4.043-33.972-1.569c-4.575,0.953-8.094,3.381-10.571,7.282
			c-2.471,3.9-3.23,8.136-2.275,12.703c0.76,4.569,3.135,8.09,7.128,10.564c4.001,2.474,8.282,3.235,12.854,2.286
			c11.995-2.475,22.169,0.857,30.55,9.992c8.378,9.134,10.656,19.698,6.852,31.691C405.505,198.556,405.892,202.792,407.983,206.884
			z"/>
		<path d="M508.917,156.918c-4.859-24.075-15.561-45.251-32.121-63.522c-16.562-18.46-36.356-31.261-59.395-38.403
			c-23.028-7.139-46.243-8.232-69.661-3.284c-5.332,1.143-9.473,3.949-12.423,8.424c-2.95,4.476-3.854,9.375-2.707,14.705
			c1.14,5.33,3.99,9.469,8.565,12.419c4.562,2.95,9.514,3.855,14.839,2.712c16.563-3.424,33.03-2.614,49.396,2.428
			c16.371,5.044,30.457,14.13,42.26,27.264c11.797,12.944,19.418,27.978,22.844,45.111c3.429,17.128,2.478,33.498-2.854,49.105
			c-1.52,5.142-1.047,10.09,1.431,14.849c2.471,4.758,6.276,7.992,11.416,9.707c5.141,1.709,10.089,1.331,14.846-1.143
			c4.76-2.474,7.997-6.28,9.712-11.42C512.486,203.981,513.769,180.997,508.917,156.918z"/>
  </svg>
)